function [ a0, l0 ] = getseedfunction( alip )
% compute the seed function according to the lip termination area alip
% 
% Input argument :
%
% alip : vector containing the lip termination areas
%
% Output arguments
%
% a0 : matrix containg the corresponding seed area functions
% l0 : matrix containg the corresponding seed length functions
%
% Benjamin Elie, October 2014

load Library/seedlib.mat % load the library of seed functions

IDX = knnsearch(al(:),alip); % search the nearest neighbour in the library
a0 = a0lib(:,IDX); a0(end,:) = alip;
l0 = l0lib(:,IDX);
a0 = flipud(a0); l0 = flipud(l0); % flip the seed functions to have the lip in first section

end

